Update your registered webhook URLs. Your collection_url receives collection events, virtual account events, and customer KYC events. Your optional kyc_url receives Signa verification session events; omit the field to leave it unchanged, or send null to clear it. Required scope: webhook:write.
Authorization
oauth2ClientCredentials webhook:writeUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: webhook:write
Path Parameters
Webhook ID or reference to update.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl --request PUT \ --url 'https://example.com/api/external/webhook/string' \ --header 'Content-Type: application/json' \ --data '{ "collection_url": "https://yourapp.com/webhooks/collection", "payout_url": "https://yourapp.com/webhooks/payout", "kyc_url": "https://yourapp.com/webhooks/kyc"}'{ "message": "Webhook record updated successfully"}GETGet webhook URLs
Retrieve your registered webhook URLs. Your collection_url is used for collection events, virtual account events, and customer KYC events. Required scope: `webhook:read`.
GETList webhook logs
Get webhook delivery logs for your business. Crypto payout events use the `crypto.payout.*` type values. Required scope: `webhook:read`.